Bug 705727 - Failed resource deletion still shows the green "successfully deleted bar"
Failed resource deletion still shows the green "successfully deleted bar"
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On:
Blocks: jon30-bugs rhq41-ui
  Show dependency treegraph
 
Reported: 2011-05-18 05:34 EDT by Heiko W. Rupp
Modified: 2013-09-02 03:25 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-02 03:25:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Verified-screenshot (61.76 KB, image/jpeg)
2011-08-19 04:24 EDT, Jeeva Kandasamy
no flags Details

  None (edit)
Description Heiko W. Rupp 2011-05-18 05:34:48 EDT
Try to delete a resource from inventory where the deletion fails  ( server log shows :

11:30:22,969 INFO  [ResourceFactoryServerServiceImpl] Received delete resource response: DeleteResourceResponse[RequestId=10001, Status=Failure]

) 

The UI still shows the green "Resource was successfully deleted" bar , but the resource to delete stays in inventory. 
THis is confusing.
Comment 1 John Mazzitelli 2011-08-16 14:13:45 EDT
I think the message needs to change. IIRC, this is an async deletion request. The green message should have said, "A request has been sent to the agent to delete the resource".
Comment 2 John Mazzitelli 2011-08-16 14:24:18 EDT
confirmed that this is an async request being made. The green message needs to change to reflect what is happening.

This means in our Message.properties, we have to change

view_inventory_resources_deleteSuccessful

to say something like:, "A request to perform resource deletion has been submitted successfully to the agent(s)."
Comment 3 John Mazzitelli 2011-08-17 16:34:50 EDT
master commit 8d247e1

the message now says:

"A request to perform the resource deletion has been submitted successfully to the agent(s)."

In order to see the progress, you have to go to the child history view and see the audit trail
Comment 4 Jeeva Kandasamy 2011-08-19 04:24:52 EDT
Created attachment 518988 [details]
Verified-screenshot
Comment 5 Jeeva Kandasamy 2011-08-19 04:27:56 EDT
I'm able to see changes mentioned by John Mazzitelli(mazz@redhat.com) from comment #3. screen shot is attached.

Build Version:

Version: 4.1.0-SNAPSHOT
Build Number: c5c70b8
GWT Version: 2.0.4
SmartGWT Version: 2.4
OS: RHEL 6.1 GNOME (X86_64)
Browser: Firefox 5.0.1
Comment 6 Heiko W. Rupp 2013-09-02 03:25:42 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.